Show / Hide Table of Contents

# Class ColorScheme

Color scheme definitions, they cover some common scenarios and are used typically in containers such as Window and FrameView to set the scheme that is used by all the views contained inside.

##### Inheritance

System.Object
ColorScheme

##### Implements

System.IEquatable<ColorScheme>

##### Inherited Members

System.Object.Equals(System.Object, System.Object)
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.ToString()

###### Namespace: Terminal.Gui

###### Assembly: Terminal.Gui.dll

##### Syntax

    public class ColorScheme : IEquatable<ColorScheme>

### Properties

#### Disabled

The default color for text, when the view is disabled.

##### Declaration

    public Attribute Disabled { get; set; }

##### Property Value

Type | Description
--- | ---
Attribute |

#### Focus

The color for text when the view has the focus.

##### Declaration

    public Attribute Focus { get; set; }

##### Property Value

Type | Description
--- | ---
Attribute |

#### HotFocus

The color for the hotkey when the view is focused.

##### Declaration

    public Attribute HotFocus { get; set; }

##### Property Value

Type | Description
--- | ---
Attribute |

#### HotNormal

The color for the hotkey when a view is not focused

##### Declaration

    public Attribute HotNormal { get; set; }

##### Property Value

Type | Description
--- | ---
Attribute |

#### Normal

The default color for text, when the view is not focused.

##### Declaration

    public Attribute Normal { get; set; }

##### Property Value

Type | Description
--- | ---
Attribute |

### Methods

#### Equals(Object)

Compares two ColorScheme objects for equality.

##### Declaration

    public override bool Equals(object obj)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Object | obj |

##### Returns

Type | Description
--- | ---
System.Boolean | true if the two objects are equal

##### Overrides

System.Object.Equals(System.Object)

#### Equals(ColorScheme)

Compares two ColorScheme objects for equality.

##### Declaration

    public bool Equals(ColorScheme other)

##### Parameters

Type | Name | Description
--- | --- | ---
ColorScheme | other |

##### Returns

Type | Description
--- | ---
System.Boolean | true if the two objects are equal

#### GetHashCode()

Returns a hashcode for this instance.

##### Declaration

    public override int GetHashCode()

##### Returns

Type | Description
--- | ---
System.Int32 | hashcode for this instance

##### Overrides

System.Object.GetHashCode()

### Operators

#### Equality(ColorScheme, ColorScheme)

Compares two ColorScheme objects for equality.

##### Declaration

    public static bool operator ==(ColorScheme left, ColorScheme right)

##### Parameters

Type | Name | Description
--- | --- | ---
ColorScheme | left |
ColorScheme | right |

##### Returns

Type | Description
--- | ---
System.Boolean | `true` if the two objects are equivalent

#### Inequality(ColorScheme, ColorScheme)

Compares two ColorScheme objects for inequality.

##### Declaration

    public static bool operator !=(ColorScheme left, ColorScheme right)

##### Parameters

Type | Name | Description
--- | --- | ---
ColorScheme | left |
ColorScheme | right |

##### Returns

Type | Description
--- | ---
System.Boolean | `true` if the two objects are not equivalent

### Implements

System.IEquatable<T>